Foreman - Bug #6342

Compute profile should be used when empty volumes and interfaces passed in compute_attributes
06/23/2014 03:19 PM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Tomas Strachota
Category: API
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1319564 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2802
Description

When creating hosts through the API with hammer, it's fairly unavoidable that you get a params hash containing:
"compute_attributes"=>{"volumes_attributes"=>{}, "interfaces_attributes"=>{}, "nics_attributes"=>{}}
due to hammer not knowing if a compute profile will be used or not via the host group.

set_compute_attributes in Host::Managed checks for compute_attributes.empty?, which will return false when these empty
sub-hashes are present. It should be possible to use the compute profile even when passing in this empty data.

Either that, or CR VM creation should be reliable without them set to {}, but it currently isn't.

Related issues:

Related to Foreman - Feature #4250: Expose compute profiles via API Closed 02/04/2014
Related to Hammer CLI - Feature #6344: Commands for read operations around co... Closed

Related to Foreman - Bug #13507: Creating VMs with hammer requires too many p... Resolved 02/01/2016
Related to Foreman - Bug #14179: Interface/NIC compute attributes in APl host... Closed 03/14/2016
Related to Foreman - Bug #10223: Image provisoning over AP| doesn't start hos... New 04/21/2015
Has duplicate Hammer CLI - Bug #11829: hammer host create does not send corre... Duplicate 09/15/2015
Has duplicate Foreman - Bug #14485: hammer should consider everything from th... Duplicate 04/05/2016

Associated revisions

Revision 47990639 - 02/19/2016 04:31 AM - Tomas Strachota

Fixes #6342 - merge compute profile when attributes in api host#create

API v2 host#craete call now merges user specified compute attributes
with compute profile. Ul functionality remains untouched.

History

#1 - 06/23/2014 03:20 PM - Dominic Cleal
- Related to Feature #4250: Expose compute profiles via APl added

#2 - 06/23/2014 03:32 PM - Dominic Cleal

- Related to Feature #6344: Commands for read operations around compute profiles and attributes added

#3 - 07/01/2014 04:50 AM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee set to Dominic Cleal

- Target version set to 1.8.1

https://github.com/theforeman/foreman/pull/1551

05/21/2024 1/3
#4 - 07/07/2014 07:24 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#5 - 07/09/2014 10:38 AM - Dominic Cleal
- Status changed from Ready For Testing to Assigned

#6 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#7 - 07/30/2014 08:56 AM - Dominic Cleal
- Status changed from Assigned to New
- Assignee deleted (Dominic Cleal)

- Target version deleted (1.7.5)

#8 - 09/16/2015 02:52 AM - Dominic Cleal

- Has duplicate Bug #11829: hammer host create does not send correct compute-attributes information which breaks a condition on the server side
added

#9 - 09/17/2015 12:43 PM - Bryan Kearney
- Bugzilla link set to 1263332

#10 - 10/06/2015 09:51 AM - Tomas Strachota
- Status changed from New to Assigned

- Assignee set to Tomas Strachota

#11 - 10/08/2015 03:23 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2802 added
- Pull request deleted ()

#12 - 02/03/2016 12:56 PM - Guido Giinther

- Related to Bug #13507: Creating VMs with hammer requires too many parameters added

#13 - 02/19/2016 05:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 47990639ae6b02f541e5d76b392d5549afd74bc7.

#14 - 02/22/2016 10:45 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#15 - 03/14/2016 06:48 AM - Dominic Cleal

- Related to Bug #14179: Interface/NIC compute attributes in API host creation overwritten with compute profile attributes added

#16 - 03/16/2016 05:47 AM - Dominic Cleal
- Related to Bug #10223: Image provisoning over API doesn't start host automatically added

#17 - 03/23/2016 03:16 PM - Guido Giinther

Anonymous wrote:

Applied in changeset 47990639ae6b02f541e5d76b392d5549afd74bc7.

Could this be fixed on 1.10.x as well? We won't be able to update to 1.11.x in not time so this would be awesome.

#18 - 03/24/2016 04:35 AM - Dominic Cleal
Sorry, this is a behaviour change and has a bit of risk (one regression so far) so it'll only be in 1.11.

#19 - 04/06/2016 03:56 AM - Dominic Cleal
- Has duplicate Bug #14485: hammer should consider everything from the "Compute Profile" added

#20 - 04/06/2016 09:27 AM - Bryan Kearney
- Bugzilla link changed from 1263332 to 1319564

05/21/2024 3/3


http://www.tcpdf.org

